package domain

import (
	"topsdk/util"
)

type TmallExchangeMessagesGetRefundMessage struct {
	/*
	   留言ID     */
	Id *int64 `json:"id,omitempty" `

	/*
	   换货单号ID     */
	RefundId *int64 `json:"refund_id,omitempty" `

	/*
	   留言者ID     */
	OwnerId *int64 `json:"owner_id,omitempty" `

	/*
	   留言者昵称     */
	OwnerNick *string `json:"owner_nick,omitempty" `

	/*
	   留言内容     */
	Content *string `json:"content,omitempty" `

	/*
	   凭证信息     */
	PicUrls *[]TmallExchangeMessagesGetPicUrl `json:"pic_urls,omitempty" `

	/*
	   留言创建时期     */
	Created *util.LocalTime `json:"created,omitempty" `

	/*
	   留言类型     */
	MessageType *string `json:"message_type,omitempty" `

	/*
	   留言角色     */
	OwnerRole *string `json:"owner_role,omitempty" `

	/*
	   留言者openId     */
	OpenUid *string `json:"open_uid,omitempty" `
}

func (s *TmallExchangeMessagesGetRefundMessage) SetId(v int64) *TmallExchangeMessagesGetRefundMessage {
	s.Id = &v
	return s
}
func (s *TmallExchangeMessagesGetRefundMessage) SetRefundId(v int64) *TmallExchangeMessagesGetRefundMessage {
	s.RefundId = &v
	return s
}
func (s *TmallExchangeMessagesGetRefundMessage) SetOwnerId(v int64) *TmallExchangeMessagesGetRefundMessage {
	s.OwnerId = &v
	return s
}
func (s *TmallExchangeMessagesGetRefundMessage) SetOwnerNick(v string) *TmallExchangeMessagesGetRefundMessage {
	s.OwnerNick = &v
	return s
}
func (s *TmallExchangeMessagesGetRefundMessage) SetContent(v string) *TmallExchangeMessagesGetRefundMessage {
	s.Content = &v
	return s
}
func (s *TmallExchangeMessagesGetRefundMessage) SetPicUrls(v []TmallExchangeMessagesGetPicUrl) *TmallExchangeMessagesGetRefundMessage {
	s.PicUrls = &v
	return s
}
func (s *TmallExchangeMessagesGetRefundMessage) SetCreated(v util.LocalTime) *TmallExchangeMessagesGetRefundMessage {
	s.Created = &v
	return s
}
func (s *TmallExchangeMessagesGetRefundMessage) SetMessageType(v string) *TmallExchangeMessagesGetRefundMessage {
	s.MessageType = &v
	return s
}
func (s *TmallExchangeMessagesGetRefundMessage) SetOwnerRole(v string) *TmallExchangeMessagesGetRefundMessage {
	s.OwnerRole = &v
	return s
}
func (s *TmallExchangeMessagesGetRefundMessage) SetOpenUid(v string) *TmallExchangeMessagesGetRefundMessage {
	s.OpenUid = &v
	return s
}
